Invoices
Issue invoice replacement
Issues replacement serials for a completed serial-based invoice. By default, replacements cannot exceed the original purchased quantity. Set override_remaining_quantity to true for a manual support override when a previous replacement also failed.
POST
/
dev
/
v1
/
invoices
/
{uniqid}
/
replacements
Issue invoice replacement
curl --request POST \
--url https://api.shoppex.io/dev/v1/invoices/{uniqid}/replacements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"full": "false",
"quantity": 1,
"product_id": "prod_2"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({full: 'false', quantity: 1, product_id: 'prod_2'})
};
fetch('https://api.shoppex.io/dev/v1/invoices/{uniqid}/replacements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/invoices/{uniqid}/replacements"
payload = {
"full": "false",
"quantity": 1,
"product_id": "prod_2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/invoices/{uniqid}/replacements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'full' => 'false',
'quantity' => 1,
'product_id' => 'prod_2'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/invoices/{uniqid}/replacements"
payload := strings.NewReader("{\n \"full\": \"false\",\n \"quantity\": 1,\n \"product_id\": \"prod_2\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "replacement_1",
"invoice_id": "33333333-3333-4333-8333-333333333333",
"product_id": "prod_2",
"quantity": 1,
"message": "Replacement issued.",
"created_at": 1712059800
}
}Authorizations
Use your Shoppex API key in the Authorization header.
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
200 - application/json
Successful response
⌘I
Issue invoice replacement
